Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QStyle

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QStyle class reference

### Public Functions

- QRect itemRect ( QPainter * painter, const QRect & rect, int alignment, bool enabled, const QPixmap & pixmap, const QString & text, int len = -1 ) const `(obsolete)`

## Member Function Documentation

### QRect QStyle::itemRect ( QPainter * painter, const QRect & rect, int alignment, bool enabled, const QPixmap & pixmap, const QString & text, int len = -1 ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Returns the appropriate area within rectangle rect in which to draw the pixmap and text using painter. The alignment parameter determine the pixmap's alignment.